--[[
Include file for the shadow class functions
--]]

--[[
Create and use shadow copies of entities.
--]]


local shadow = {}




-- Function shadow.copy_entity(from,to)
--[[
Makes a shadow copy of the belt entity. Only the required data is copied.
--]]
function shadow.copy_entity(from,to)

  -- Copy these variables.
  to.name          = from.name
  to.type          = from.type  
  to.direction     = from.direction
  to.surface.index = from.surface.index
  to.position.x    = from.position.x
  to.position.y    = from.position.y
  
end -- shadow.copy_entity(from,to)




-- Function shadow.clear_entity(entity)
--[[
Clears a shadow copy of the belt entity.
--]]
function shadow.clear_entity(entity)

  -- Clear these variables. Note that the whole structure of the shadow entity stays,
  -- only the data is removed.
  entity.name          = nil
  entity.type          = nil
  entity.direction     = nil
  entity.surface.index = nil
  entity.position.x    = nil
  entity.position.y    = nil
  
end -- shadow.clear_entity(entity)




-- Function shadow.isempty(entity)
--[[
Returns true if a shadow copy is empty, false otherwise.
--]]
function shadow.isempty(entity)

  -- A shadow copy is assumed empty, when the name is nil.
  if entity.name == nil then
    return true
  else
    return false
  end
    
end -- shadow.isempty(entity)


-- End module shadow
return shadow
