--[[
Include file for the timer class functions
--]]

--[[
The timer module allows for events to be triggered on timed intervals. Use the timer.counter value in your script to keep tracks of timed events.
--]]


local timer = {}


-- This variable is accessible to be read and modified. It is set with the activate() 
-- function to a positive value. 
timer.counter = 0

-- The default timer interval is set to 30 ticks (½ sec)
timer.interval = 30




-- Function timer.setinterval(ticks)
--[[
The interval in ticks between each check. 60 ticks == 1 second 
--]]
function timer.setinterval(ticks)
  timer.interval = ticks
end -- timer.setinterval(ticks)


-- Function timer.clear()
--[[
Resets the timer.
--]]
function timer.clear()
  timer.counter = 0
end -- timer.clear()


-- Function timer.activate()
--[[
Activates the timer.
--]]
function timer.activate()
  timer.counter = timer.interval
end -- timer.activate()


-- Function timer.isfinished()
--[[
Returns if the timer counter has finished.
--]]
function timer.isfinished()
  if timer.counter <= 0 then
    return true
  else
    return false
  end  
end -- timer.isfinished()


-- End module timer
return timer
